<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDevicesTable extends TableMigration
{
    public function tableName(): string
    {
        return 'devices';
    }

    public function up(): void
    {
        Schema::create(
            $this->getTableNameWithPrefix(),
            static function (Blueprint $table): void {
                $table->uuid('id')->primary();
                $table->unsignedInteger('auth_identifier')->nullable();
                $table->string('access_token_id')->nullable();
                $table->string('firebase_device_id')->nullable();
                $table->timestamps();
            }
        );
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
