<?php

namespace Drp\NativeEventApp\Http\Controllers;

use Drp\NativeEventApp\Http\Requests\NewFileUpload;
use Illuminate\Http\JsonResponse;
use Illuminate\Routing\Controller;

class HandleFileUpload extends Controller
{
    public function __invoke(NewFileUpload $request): JsonResponse
    {
        $request->file->storeAs(
            config('native-event-app.files.local.path') . '/' . $request->get('uuid'),
            $request->get('uuid') . $this->getFileExtension($request->file->getClientOriginalName()),
            config('native-event-app.files.local.disk')
        );

        return response()->json([
            'id' => $request->get('uuid'),
        ], 200);
    }

    private function getFileExtension(string $fileName): string
    {
        return '.' . substr($fileName, strrpos($fileName, '.') + 1);
    }
}
