<?php

namespace Drp\NativeEventApp\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class NewFileUpload extends FormRequest
{
    public function rules(): array
    {
        return [
            'file' => 'required|file',
            'uuid' => 'required|uuid',
            'expires' => 'required|integer',
        ];
    }

    /** @param array|null $keys */
    public function all($keys = null): array // phpcs:ignore
    {
        $data = parent::all($keys);

        $data['uuid'] = $this->query('uuid');
        $data['signature'] = $this->query('signature');
        $data['expires'] = $this->query('expires');

        return $data;
    }
}
