<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class QuizResponse extends Model
{
    /** @var string  */
    protected $table = 'quiz_responses';

    public $timestamps = false;

    protected $fillable = [
        'quiz_question_id',
        'quiz_answer_id',
        'user_id',
    ];

    public function quizQuestion(): BelongsTo
    {
        return $this->belongsTo(QuizQuestion::class, 'quiz_question_id');
    }

    public function quizAnswer(): BelongsTo
    {
        return $this->belongsTo(QuizAnswer::class, 'quiz_answer_id');
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(Registration::class, 'user_id');
    }
}
