<?php

namespace Drp\NativeEventApp\Test\Support;

use Drp\NativeEventApp\Auth\Facades\AuthInfoFinder;
use Drp\NativeEventApp\Test\Support\Models\TokenAuthenticatable;
use Illuminate\Support\Carbon;
use Laravel\Passport\AuthCode;

trait InteractsWithAuth
{
    /**
     * @return array|string
     */
    public function createAccessToken(string $field)
    {
        $tokenAuthenticatable = factory(TokenAuthenticatable::class)->create();
        $userResolver = function () use ($tokenAuthenticatable): TokenAuthenticatable {
            return $tokenAuthenticatable;
        };
        AuthInfoFinder::setAuthResolver($userResolver);
        AuthInfoFinder::setCurrentUserResolver($userResolver);

        $authCode = AuthCode::create([
            'id' => 1234,
            'user_id' => $tokenAuthenticatable->getId(),
            'client_id' => config('native-event-app.auth.client_id'),
            'revoked' => false,
            'expires_at' => Carbon::parse('+1 day'),
        ]);

        $token = app(TokenGenerator::class)->createToken($authCode, $tokenAuthenticatable->getId());

        return $field ? $token[$field] : $token;
    }
}
